.TH "Report" 3 "AlatZaAnalitiku" \" -*- nroff -*-
.ad l
.nh
.SH NAME
Report
.SH SYNOPSIS
.br
.PP
.PP
\fR#include <report\&.h>\fP
.PP
Inherits QWidget\&.
.SS "Public Slots"

.in +1c
.ti -1c
.RI "void \fBsaveToPdf\fP (const QString &fileName)"
.br
.in -1c
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBReport\fP (QWidget *parent=nullptr)"
.br
.ti -1c
.RI "void \fBsetTargetWidget\fP (QWidget *widget)"
.br
.ti -1c
.RI "QWidget * \fBgetTargetWidget\fP () const"
.br
.in -1c
.SS "Private Member Functions"

.in +1c
.ti -1c
.RI "QPixmap \fBgrabWidgetPixmap\fP () const"
.br
.ti -1c
.RI "void \fBpaintToPdf\fP (QPainter &painter)"
.br
.in -1c
.SS "Private Attributes"

.in +1c
.ti -1c
.RI "QWidget * \fBtargetWidget\fP"
.br
.in -1c
.SH "Constructor & Destructor Documentation"
.PP 
.SS "Report::Report (QWidget * parent = \fRnullptr\fP)"

.SH "Member Function Documentation"
.PP 
.SS "QWidget * Report::getTargetWidget () const\fR [inline]\fP"

.SS "QPixmap Report::grabWidgetPixmap () const\fR [private]\fP"

.SS "void Report::paintToPdf (QPainter & painter)\fR [private]\fP"

.SS "void Report::saveToPdf (const QString & fileName)\fR [slot]\fP"

.SS "void Report::setTargetWidget (QWidget * widget)"

.SH "Member Data Documentation"
.PP 
.SS "QWidget* Report::targetWidget\fR [private]\fP"


.SH "Author"
.PP 
Generated automatically by Doxygen for AlatZaAnalitiku from the source code\&.
